Subject: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Dec 2020 13:40:38 +0200

> From: Trevor Bentley <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> Cc: 
> Date: Sat, 12 Dec 2020 12:20:57 +0100
> 
> Not only that, but I added printfs in emacs itself around the 
> garbage_collect() and gc_sweep() functions.  Each line prints the 
> unix timestamp when it began, and the 'end' lines print the 
> duration since the start.  You can see that the entire 50 minutes 
> was spent in gc_sweep():

I think this is expected if you have a lot of objects to sweep.

> And finally, here's what I find very suspicious: it was nearly 9 
> hours since the last garbage collect ran (1607726912 - 
> 1607695762).  This is an instance that I used all day long, 
> flittering back and forth between it and other work.  It had both 
> tons of interactive use, and tons of idle time.  I don't think 9 
> hours between garbage collects sounds right.

It isn't.  So it is now important to find out why this happens.  Could
it be that some of your packages plays with the value of GC threshold?

> The last garbage collect before the long manual one also never 
> printed an end message, which is confusing.  I see no early 
> returns in garbage_collect()... is there some macro that can 
> trigger a return, or maybe something uses longjmp?

Not that I know of, no.